Subject: Ticket Assigned - Complaint
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 29 Dec 2021 05:50:56 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complaint I returned an order from Splash (6362808170) worth of 75.65 it was a
(Sustainable
Lee Cooper Skinny Fit Ripped Denim Jeans) and I am still awaiting for my
refund. I was told that I would receive my refund in 5-7 days but then I
sent you an email regarding this matter and I was informed that the refund
is processed manually so I will receive it in 14-28 days and that time
period is also over. It’s been almost two months now and I am still waiting
for it. Then I received an email from you that you will get back to me
soon. But it’s been over a week and once again no response. Please I am
requesting you to look into this matter more seriously and let me know the
status because it seems you’re not serious about this at all. I am very
disappointed at your service.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3682205